package org.wow.autodkp.model;

import java.util.ArrayList;
import java.util.List;


/**
 * A player may have multiple alternate characters.
 * All of a player's alternates are grouped by the player's main.
 * 
 * @author jsandusky
 */
public class AlternatesGroup implements Comparable {
    
    private String mPrimaryPlayerName;
    private String mPrimaryPlayerClass;
    private List mAlternates;
    
    
    public String getPrimaryPlayerName() {
        return mPrimaryPlayerName;
    }
    
    public String getPrimaryPlayerClass() {
        return mPrimaryPlayerClass;
    }
    
    public void setPrimaryPlayerName(String playerName) {
        mPrimaryPlayerName = playerName;
    }
    
    public void setPrimaryPlayerClass(String playerClass) {
        mPrimaryPlayerClass = playerClass;
    }
    
    public List getAlternates() {
        return mAlternates;
    }
    
    public void addAlternate(String alternateName) {
        if (mAlternates == null) {
            mAlternates = new ArrayList();
        }
        mAlternates.add(alternateName);
    }
    
    public void removeAlternate(String alternateName) {
        if (mAlternates != null) {
            mAlternates.remove(alternateName);
        }
    }

    public int compareTo(Object o) {
        AlternatesGroup other = (AlternatesGroup) o;
        return this.mPrimaryPlayerName.compareTo(other.getPrimaryPlayerName());
    }
}
