package org.wow.autodkp.model;

import java.util.Date;

import org.wow.autodkp.view.GeneralProperties;



/**
 * Representation of a boss kill.
 * 
 * @author jsandusky
 */
public class BossKillInfo {

    private String mBossName;
    private Date mKillDate;
    private String mBossKillText;

    
    public BossKillInfo(String name, Date date) {
        mBossName = name;
        mKillDate = date;
    }

    
    public String getBossName() {
        return mBossName;
    }

    public Date getKillDate() {
        return mKillDate;
    }

    public String toString() {
        if (mBossKillText == null) {
            GeneralProperties props = GeneralProperties.getDefault();
            String dateStr = props.getDateFormatProperty(props.DATE_FORMAT_LONG).format(mKillDate);
            mBossKillText = "<HTML><TABLE BORDER=0 CELLPADDING=0 WIDTH=100%><TR>" + "<TD WIDTH=170><P>&nbsp;"
                    + mBossName + "</P></TD>" + "<TD><P>" + dateStr + "</P></TD>" + "</TR></TABLE></HTML>";
        }
        return mBossKillText;
    }
}
