package org.wow.autodkp.model;

import java.text.DateFormat;
import java.text.NumberFormat;
import java.text.SimpleDateFormat;


/**
 * Utility class.
 * 
 * @author jsandusky
 */
public class FormatConstants {
    
    public static final String TIME_ZONE_SERVER = "US/Pacific";
    
    // DO NOT MODIFY, CT Raid Tracker parsing
    public static final DateFormat DATE_PARSE_FORMAT = new SimpleDateFormat("MM/dd/yy HH:mm:ss");
    
    // DO NOT MODIFY, Raid ID's, XML Date Persistence
    public static final DateFormat FORMAT_ID         = new SimpleDateFormat("MMddyy-HHmmss");
    
    public static NumberFormat NUMBER_FORMAT = NumberFormat.getNumberInstance();
    static {
        NUMBER_FORMAT.setMaximumFractionDigits(2);
    }
    
    public static String generateID(String str) {
        str = str.replaceAll(" ", "_");
        str = str.replaceAll("'", "-");
        return str;
    }
    
    public static void fillSpaces(String str, int leading, StringBuffer buf) {
        if (str.length() < leading) {
            int spacesToInsert = leading - str.length();
            for (int i=0; i < spacesToInsert; i++) {
                buf.append(" ");
            }
        }
        buf.append(str);
    }
}
