package org.wow.autodkp.model;


/**
 * Constants for item quality, etc.
 * 
 * @author jsandusky
 */
public class LootConstants {
    
    private static final LootConstants mInstance = new LootConstants();
    
    private LootConstants() {
    }
    
    public static LootConstants getDefault() {
        return mInstance;
    }
    
    int INDEX_FULLNAME  = 0;
    int INDEX_SHORTNAME = 1;
    

    public static final String BOSS_NAME_NONE = "";
    public static final int BOSS_NONE = 0;
    
    
    public static final int INSTANCE_NONE = 0;
    public static final String INSTANCE_NAME_NONE = "";
    
    public static final String LOOT_CONSTRAINT_KEY_NONE = "";
    public static final String LOOT_CONSTRAINT_NAME_NONE = "";
    public static final int LOOT_CONSTRAINT_NONE = 0;
    

    public static final int QUALITY_NONE      = 0;
    public static final int QUALITY_POOR      = 1;
    public static final int QUALITY_COMMON    = 2;
    public static final int QUALITY_UNCOMMON  = 3;
    public static final int QUALITY_RARE      = 4;
    public static final int QUALITY_EPIC      = 5;
    public static final int QUALITY_LEGENDARY = 6;
    public static final int QUALITY_ARTIFACT  = 7;
    
    public static final String[] QUALITY_KEYS = { 
            "na_quality", 
            "poor", 
            "common", 
            "uncommon", 
            "rare", 
            "epic", 
            "legendary", 
            "artifact" };

    public static final String[] QUALITY_NAMES = { 
        "", 
        "Poor", 
        "Common", 
        "Uncommon", 
        "Rare", 
        "Epic", 
        "Legendary", 
        "Artifact" };
    
    public static int getQualityValueFromKey(String key) {
        for (int i=0; i < QUALITY_KEYS.length; i++) {
            if (key.equals(QUALITY_KEYS[i])) {
                return i;
            }
        }
        return QUALITY_NONE;
    }
    
    public static boolean isLootCategoryID(String str) {
        // Quickly determine whether a loot value corresponds to a 
        // loot category ID or to a hard value.
        if (str.length() == 13) {
            return true;
        }
        return false;
    }
    
    public static String generateTimeID() {
        return String.valueOf(System.currentTimeMillis());
    }
}
