package org.wow.autodkp.model.points;


/**
 * A point adjustment.
 * Adjustments are used to create special columns in the player table where
 * the user can enter in special bonuses/deductions that are otherwise
 * not covered in the standard DKP formulas.
 * 
 * @author jsandusky
 */
public class Adjustment {

    private String mName;
    private float mInitialValue;
    
    
    public Adjustment(String name) {
        mName = name;
    }
    
    public Adjustment(String name, float initialValue) {
        mName = name;
        mInitialValue = initialValue;
    }
    
    
    public String getName() {
        return mName;
    }
    
    public float getInitialValue() {
        return mInitialValue;
    }
    
    public void setInitialValue(float value) {
        mInitialValue = value;
    }
}
