package org.wow.autodkp.model.points;


/**
 * Representation of a player from a previous raid that is "carried over"
 * into the next raid. A carryover can be a non-raid member or raid member
 * from any raid within the chain of linked raids. When we link raids, we
 * only import the player's name, class, and final point total.
 * 
 * @author jsandusky
 */
public class Carryover {
    
    private String mPlayerName;
    private String mPlayerClass;
    private float mPlayerPoints;
    
    
    public Carryover(String playerName, String playerClass, float playerPoints) {
        mPlayerName = playerName;
        mPlayerClass = playerClass;
        mPlayerPoints = playerPoints;
    }
    

    public String getPlayerClass() {
        return mPlayerClass;
    }

    public void setPlayerClass(String playerClass) {
        mPlayerClass = playerClass;
    }

    public String getPlayerName() {
        return mPlayerName;
    }

    public void setPlayerName(String playerName) {
        mPlayerName = playerName;
    }

    public float getPlayerPoints() {
        return mPlayerPoints;
    }

    public void setPlayerPoints(float playerPoints) {
        mPlayerPoints = playerPoints;
    }
}
