package org.wow.autodkp.model.points;

import java.awt.Color;
import java.util.Date;

import org.wow.autodkp.model.Cost;


/**
 * A custom formula item is a non-loot drop.
 * This can be used to manually add a loot drop that didn't actually
 * drop (or for some reason didn't show up in Raid Tracker). It can also
 * be used to represent any abstract cost (i.e. "jumping in lava" -10DKP)
 * 
 * @author jsandusky
 */
public class CustomFormulaItem {
    
    private String mItemText;
    private Color mLootTypeColor;
    private Cost mCost;
    private int mIndex;
    private Date mLootTime;
    
    
    public Cost getCost() {
        return mCost;
    }
    
    public void setCost(Cost cost) {
        mCost = cost;
    }
    
    public int getIndex() {
        return mIndex;
    }
    
    public void setIndex(int index) {
        mIndex = index;
    }
    
    public String getItemText() {
        return mItemText;
    }
    
    public void setItemText(String itemText) {
        mItemText = itemText;
    }

    public Color getLootColor() {
        return mLootTypeColor;
    }

    public boolean isLoot() {
        return mLootTypeColor != null;
    }
    
    public void setLootColor(Color color) {
        mLootTypeColor = color;
    }

    public Date getLootTime() {
        return mLootTime;
    }

    public void setLootTime(Date lootTime) {
        mLootTime = lootTime;
    }
}
