package org.wow.autodkp.model.points;

import java.util.HashMap;
import java.util.LinkedHashMap;
import java.util.Map;

/**
 * Represents the actual points for a raid.
 * 
 * @author jsandusky
 */
public class DefaultPointSystemRaidData implements IPointSystemRaidData {

    private Map mConstraintsPlayerData = new HashMap();
    private Map mRollCallDateMap = new LinkedHashMap();
    private boolean mIsLocked = false;
    private String mImportedRaidID = "";

    
    public DefaultPointSystemRaidData() {
    }
    
    public String getImportedRaidID() {
        return mImportedRaidID;
    }
    
    public void setImportedRaidID(String importedRaidID) {
        if (importedRaidID == null) {
            importedRaidID = "";
        }
        mImportedRaidID = importedRaidID;
    }
    
    public Map getPointSystemPlayerDataMap() {
        return mConstraintsPlayerData;
    }
    
    public void setConstraintsPlayerData(Map map) {
        mConstraintsPlayerData = map;
    }
    
    public boolean isLocked() {
        return mIsLocked;
    }

    public void setLocked(boolean isLocked) {
        mIsLocked = isLocked;
    }

    public Map getRollCallDateMap() {
        return mRollCallDateMap;
    }
}
