package org.wow.autodkp.model.points;

import java.util.Map;


/**
 * Point system raid-specific information.
 * Points for a raid consist of raid-specific and
 * player-specific information.
 * 
 * @author jsandusky
 */
public interface IPointSystemRaidData {
    
    String getImportedRaidID();
    
    void setImportedRaidID(String importedRaidID);
    
    // mapping of player names to player-specific info.
    Map getPointSystemPlayerDataMap();
    
    boolean isLocked();
    
    void setLocked(boolean isLocked);
    
    // mapping of roll call names to their dates.
    Map getRollCallDateMap();
}
