package org.wow.autodkp.model.points.dkp;

import java.util.Date;

import org.wow.autodkp.model.FormatConstants;
import org.wow.autodkp.model.points.CostItem;


/**
 * A Zero Sum distribution and which player it applies/doesn't apply to.
 * 
 * @author jsandusky
 */
public class DistributionPointDetail {
    
    private boolean mIsIncluding;
    private float mCurrentPoints;
    private Date mDate;
    private CostItem mCostItem;
    private String mPlayerName;
    

    public DistributionPointDetail(boolean isIncluding, 
                                   float currentPoints, 
                                   Date date,
                                   CostItem costItem,
                                   String playerName) {
        mIsIncluding = isIncluding;
        mCurrentPoints = currentPoints;
        mDate = date;
        mCostItem = costItem;
        mPlayerName = playerName;
    }
    
    public boolean isIncluding() {
        return mIsIncluding;
    }
    
    public String getCurrentPointText() {
        return FormatConstants.NUMBER_FORMAT.format((double) mCurrentPoints);
    }
    
    public void setCurrentPoints(float points) {
        mCurrentPoints = points;
    }
    
    public Date getDate() {
        return mDate;
    }
    
    public CostItem getCostItem() {
        return mCostItem;
    }
    
    public String getPlayerName() {
        return mPlayerName;
    }
}
