package org.wow.autodkp.persistence;


/**
 * Constants for file/directory names.
 * 
 * @author jsandusky
 */
public class Persistence {
    
    // The name of the CT Raid Tracker log file.
    public static final String RT_FILE        = "CT_RaidTracker.lua";
    
    // It is possible to have AutoDKP never read from the CT Raid Tracker file.
    // In this case, the Raid Tracker property (see GeneralProperties) will be set 
    // to the value of this constant.
    public static final String IGNORE_RT_FILE = "ignore";
    
    public static final String DEFINITIONS_DIR = "definitions";
    public static final String INSTANCES_DIR = "save";
    public static final String NOTES_DIR = "notes";
    public static final String SHARE_INBOX_DIR = "inbox";
    public static final String SHARE_OUTBOX_DIR = "outbox";
    public static final String ICONS_DIR = "icons";
    public static final String SAVE_RAID_DIR = "raids";
    public static final String CONSTRAINTS_DIR = "points";
    public static final String GUIDE_DIR = "guide";
    public static final String ITEMS_DIR = "items";
    public static final String XML_EXTENSION = ".xml";
    public static final String TEMPLATE_OUTPUT_CSS_FILE = "template_output.css";
    public static final String CUSTOM_OUTPUT_CSS_FILE = "custom_output.css";
    public static final String README_FILE = "README.html";
    public static final String DATE_FORMAT_FILE = "dateformats.html";
    public static final String HTML_NOTES_FILE = "general_notes.txt";
    public static final String GUIDE_FILE  = "guide.html";
    public static final String LOG_DIR = "log";
    public static final String TMP_DIR = "tmp";
    public static final String LOG_FILE = "log.txt";
    public static final String ALTERNATES_FILE = "alternates.xml";
    public static final String MASTER_ITEMS_FILE = "Master.properties";
    
    public static final String DKPTYPE_BOSSKILL                = "bosskill";
    public static final String DKPTYPE_ZERO_SUM_DIVIDE_EVENLY  = "zeroSum_even";
    public static final String DKPTYPE_ZERO_SUM_EXCLUDE_LOOTER = "zeroSum";
    public static final String DKPTYPE_TIME_BASED              = "timeBased";
}
