package org.wow.autodkp.persistence.xml;

import java.io.File;
import java.util.Collection;
import java.util.Iterator;
import java.util.List;

import org.wow.autodkp.model.AlternatesGroup;
import org.wow.autodkp.persistence.AlternatesManager;


/**
 * 
 * 
 * @author jsandusky
 */
public class XMLAlternatesWriter {    
    
    public void writeXML(File saveFile) {
        
        StringBuffer buf = new StringBuffer();
        buf.append(XMLUtilities.header());
        buf.append(XMLUtilities.tagStart(XMLUtilities.XML_ALTERNATES));
        
        Collection groupings = AlternatesManager.getDefault().getAllAlternatesGroupings();
        for (Iterator mainIter=groupings.iterator(); mainIter.hasNext();) {
            AlternatesGroup group = (AlternatesGroup) mainIter.next();
            buf.append(XMLUtilities.tagStart(XMLUtilities.XML_ALTERNATE_GROUP));
            
            buf.append(XMLUtilities.tag(XMLUtilities.XML_PRIMARY_NAME, 
                    group.getPrimaryPlayerName()));
            buf.append(XMLUtilities.tag(XMLUtilities.XML_PRIMARY_CLASS, 
                    group.getPrimaryPlayerClass()));
            
            buf.append(XMLUtilities.tagStart(XMLUtilities.XML_PLAYER_ALTERNATES));
            List alternates = group.getAlternates();
            if (alternates != null) {
                for (Iterator altIter=alternates.iterator(); altIter.hasNext();) {
                    String alternate = (String) altIter.next();
                    buf.append(XMLUtilities.tag(XMLUtilities.XML_ALTERNATE_PLAYER, alternate));
                }
            }
            buf.append(XMLUtilities.tagEnd(XMLUtilities.XML_PLAYER_ALTERNATES));
            
            buf.append(XMLUtilities.tagEnd(XMLUtilities.XML_ALTERNATE_GROUP));
        }
        
        buf.append(XMLUtilities.tagEnd(XMLUtilities.XML_ALTERNATES));

        XMLUtilities.store(buf.toString(), saveFile);
    }
}
