package org.wow.autodkp.persistence.xml;

import java.io.File;
import java.util.ArrayList;
import java.util.List;

import org.xml.sax.Attributes;
import org.xml.sax.SAXException;
import org.xml.sax.helpers.DefaultHandler;

/**
 * 
 * 
 * @author jsandusky
 */
public class XMLBossReader {
    
    public List readXML(File xmlFile) {
        DataHandler handler = new DataHandler();
        XMLUtilities.parse(xmlFile, handler);
        return handler.getData();
    }
    
    
    private static class DataHandler extends DefaultHandler {
        private StringBuffer mBuffer = new StringBuffer();
        
        private List mData = new ArrayList();
        
        
        public void characters(char[] ch, int start, int length) throws SAXException {
            super.characters(ch, start, length);
            if (mBuffer == null) {
                mBuffer = new StringBuffer();
            }
            mBuffer.append(ch, start, length);
        }

        public void endElement(String uri, String localName, String qName) throws SAXException {
            super.endElement(uri, localName, qName);
            String str = null;
            if (mBuffer != null) {
                str = mBuffer.toString();
            }
            if (localName.equals(XMLUtilities.XML_BOSSES_NAME)) {
                mData.add(str);
            }
        }

        public void startElement(String uri, String localName, String qName, Attributes attributes) throws SAXException {
            super.startElement(uri, localName, qName, attributes);
            mBuffer = null;
        }
        
        public List getData() {
            return mData;
        }
    }
}
