package org.wow.autodkp.view;

import java.awt.Dialog;
import java.awt.Frame;
import java.awt.GraphicsConfiguration;
import java.awt.HeadlessException;
import java.awt.event.ActionEvent;
import java.awt.event.KeyEvent;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;
import java.awt.event.WindowListener;

import javax.swing.AbstractAction;
import javax.swing.JComponent;
import javax.swing.JDialog;
import javax.swing.KeyStroke;


public class BasicDialog extends JDialog {

    public BasicDialog() throws HeadlessException {
        super();
    }

    public BasicDialog(Dialog owner, boolean modal) throws HeadlessException {
        super(owner, modal);
    }

    public BasicDialog(Dialog owner, String title, boolean modal, GraphicsConfiguration gc) throws HeadlessException {
        super(owner, title, modal, gc);
    }

    public BasicDialog(Dialog owner, String title, boolean modal) throws HeadlessException {
        super(owner, title, modal);
    }

    public BasicDialog(Dialog owner, String title) throws HeadlessException {
        super(owner, title);
    }

    public BasicDialog(Dialog owner) throws HeadlessException {
        super(owner);
    }

    public BasicDialog(Frame owner, boolean modal) throws HeadlessException {
        super(owner, modal);
    }

    public BasicDialog(Frame owner, String title, boolean modal, GraphicsConfiguration gc) {
        super(owner, title, modal, gc);
    }

    public BasicDialog(Frame owner, String title, boolean modal) throws HeadlessException {
        super(owner, title, modal);
    }

    public BasicDialog(Frame owner, String title) throws HeadlessException {
        super(owner, title);
    }

    public BasicDialog(Frame owner) throws HeadlessException {
        super(owner);
    }
    
    protected void addBasicSupport() {
        
        addWindowListener(getWindowClosingListener());

        getRootPane().getInputMap(JComponent.WHEN_IN_FOCUSED_WINDOW).put(
                KeyStroke.getKeyStroke(KeyEvent.VK_ESCAPE, 0),
                "escape");        
        getRootPane().getActionMap().put("escape",
            new AbstractAction() {
                public void actionPerformed(ActionEvent e) {
                    doClose();
                }
            });
    }
    
    protected void doClose() {
        closing();
        dispose();
    }
    
    protected void closing() {
    }
    
    protected WindowListener getWindowClosingListener() {
        return new WindowAdapter() {
            public void windowClosing(WindowEvent e) {
                super.windowClosing(e);
                closing();
            }
        };
    }
}
