package org.wow.autodkp.view;

import java.awt.Component;
import java.awt.Font;

import javax.swing.DefaultListCellRenderer;
import javax.swing.JLabel;
import javax.swing.JList;

import org.wow.autodkp.model.points.IPointSystem;


/**
 * List cell renderer for point systems.
 * 
 * @author jsandusky
 */
public class PointSystemCellRenderer extends DefaultListCellRenderer {
    
    private static final Font POINTS_LIST_FONT = new Font("Dialog", Font.BOLD, 12);


    public Component getListCellRendererComponent(JList list, 
                                                  Object value, 
                                                  int index,
                                                  boolean isSelected, 
                                                  boolean cellHasFocus)
    {
        JLabel label = (JLabel) super.getListCellRendererComponent(
                list, value, index, isSelected, cellHasFocus);
        
        if (value instanceof IPointSystem) {
            IPointSystem pointSystem = (IPointSystem) value;
            setFont(POINTS_LIST_FONT);
            label.setText(pointSystem.toString());
        }
        return label;
    }
    
}
