package org.wow.autodkp.view;


/**
 * A property that can be configured to save itself 
 * upon program exit.
 * 
 * @author jsandusky
 */
public abstract class SaveOnExitProperty {

    private String mKey;

    public SaveOnExitProperty(String key) {
        mKey = key;
    }

    public String getKey() {
        return mKey;
    }

    public void setProperty() {
        if (getValue() instanceof String) {
            GeneralProperties.getDefault().setStringProperty(getKey(), (String) getValue());
        } else if (getValue() instanceof Integer) {
            GeneralProperties.getDefault().setIntegerProperty(getKey(), (Integer) getValue());
        } else if (getValue() instanceof Boolean) {
            GeneralProperties.getDefault().setBooleanProperty(getKey(), (Boolean) getValue());
        }
    }

    public abstract Object getValue();

    public int hashCode() {
        return mKey.hashCode();
    }

    public boolean equals(Object obj) {
        if (obj instanceof SaveOnExitProperty) {
            return mKey.equals(((SaveOnExitProperty) obj).mKey);
        }
        return super.equals(obj);
    }
}
