package org.wow.autodkp.view.actions;

import java.awt.event.ActionEvent;

import org.wow.autodkp.model.AutoDKPModel;
import org.wow.autodkp.view.IChangeCommitListener;
import org.wow.autodkp.view.items.ItemManagerWindow;


/**
 * Open the Item Manager.
 * 
 * @author jsandusky
 */
public class ItemManagerAction extends AbstractAutoDKPAction {
    
    private AutoDKPModel mRaidManager;
    private ItemManagerWindow mCurrentItemManager;
    private IChangeCommitListener mListener;
    
    
    public ItemManagerAction(
            AutoDKPModel raidManager, 
            IChangeCommitListener listener) {
        super("Item Manager");
        setIcon("treasure.png");
        mRaidManager = raidManager;
        mListener = listener;
    }

    
    public void actionPerformed(ActionEvent e) {
        if (mCurrentItemManager != null) {
            if (mCurrentItemManager.isVisible()) {
                mCurrentItemManager.toFront();
                return;
            }
        }
        mCurrentItemManager = new ItemManagerWindow(
                mRaidManager.getConstraints(), 
                mRaidManager.getAllLoot(), 
                mListener,
                "Showing discovered items and their point categories.",
                false);
        mCurrentItemManager.setVisible(true);
    }
}
