package org.wow.autodkp.view.actions;

import java.awt.event.ActionEvent;

import org.wow.autodkp.view.AutoDKPView;
import org.wow.autodkp.view.CTRaidTrackerLocator;
import org.wow.autodkp.view.GeneralProperties;
import org.wow.autodkp.view.IChangeCommitListener;


/**
 * Opens up the CT Raid Tracker saved variables file locator. 
 * 
 * @author jsandusky
 */
public class RTFileAction extends AbstractAutoDKPAction {
    
    public RTFileAction() {
        super("Raid Tracker Source");
        setIcon("source.png");
    }

    public void actionPerformed(ActionEvent e) {
        showDialog();
    }
    
    public static void showDialog() {
        final GeneralProperties props = GeneralProperties.getDefault();
        final String raidProp = props.getStringProperty(props.RAID_TRACKER_FILE);
        IChangeCommitListener listener = new IChangeCommitListener() {
            public void changesCancelled() {
            }
            public void changesCommitted() {
                AutoDKPView.unloadReload();
            }
        };
        CTRaidTrackerLocator locator = new CTRaidTrackerLocator(
                listener, 
                "Change Raid Tracker Source");
        locator.setOriginalPath(raidProp);
        locator.setVisible(true);
    }
}
