package org.wow.autodkp.view.filters;

import org.wow.autodkp.model.Loot;


/**
 * Filters bosses by name.
 * 
 * @author jsandusky
 */
public class BossItemFilter extends ItemFilter {
	
	private String mName;

	public BossItemFilter(String name) {
		mName = name;
	}

	protected String generateText() {
		return "Boss: " + mName;
	}

	public boolean isFiltered(Loot loot) {
		String bossName = loot.getBossName();
		if (bossName != null && bossName.equals(mName)) {
			return false;
		}
		return true;
	}
}
