package org.wow.autodkp.view.filters;

import org.wow.autodkp.model.Loot;


/**
 * Filters by instance name (i.e. Molten Core, Zul'Gurub, etc.)
 * 
 * @author jsandusky
 */
public class InstanceItemFilter extends ItemFilter {
	
	private String mName;

	public InstanceItemFilter(String name) {
		mName = name;
	}

	protected String generateText() {
		return "Instance: " + mName;
	}

	public boolean isFiltered(Loot loot) {
		String instanceName = loot.getInstanceName();
		if (instanceName != null && instanceName.equals(mName)) {
			return false;
		}
		return true;
	}
}
