package org.wow.autodkp.view.filters;

import org.wow.autodkp.model.Loot;
import org.wow.autodkp.model.LootConstants;


/**
 * Filters loot by minimum quality.
 * 
 * @author jsandusky
 */
public class QualityItemFilter extends ItemFilter {
	
	private int mFilterQuality;

	public QualityItemFilter(int quality) {
		mFilterQuality = quality;
	}

	protected String generateText() {
		String text = LootConstants.QUALITY_KEYS[mFilterQuality].toUpperCase();
		return "<HTML><P>Min. Quality: <FONT COLOR="
				+ Loot.getColorStringFromQuality(mFilterQuality) + ">" + text
				+ "</FONT></P></HTML>";
	}

	public boolean isFiltered(Loot loot) {
		if (loot.getQuality() >= mFilterQuality) {
			return false;
		}
		return true;
	}
}
