package org.wow.autodkp.view.items;

import javax.swing.table.TableCellEditor;
import javax.swing.table.TableCellRenderer;

import org.wow.autodkp.model.points.IPointSystem;
import org.wow.autodkp.view.table.players.AbstractPointsColumn;


/**
 * The point system loot value column.
 * 
 * @author jsandusky
 */
public class ColumnLoot extends AbstractPointsColumn {

    private LootColumnHandler mHandler;
    
    
    public ColumnLoot(IPointSystem constraints) {
        super(constraints, null);
        mHandler = new LootColumnHandler(constraints);
    }
    
    public String getColumnName() {
        return mPointSystem.getName();
    }
    
    public int getPreferredWidth() {
        return 120;
    }

    public TableCellEditor getCellEditor() {
        return mHandler.getEditor();
    }

    public TableCellRenderer getCellRenderer() {
        return mHandler.getRenderer();
    }
    
    public Object getValueAt(Object key) {
        return null;
    }
    
    public boolean isEditable() {
        return true;
    }
}
