package org.wow.autodkp.view.items;

import java.awt.Font;

import javax.swing.DefaultCellEditor;
import javax.swing.JComboBox;
import javax.swing.SwingConstants;
import javax.swing.table.DefaultTableCellRenderer;
import javax.swing.table.TableCellEditor;
import javax.swing.table.TableCellRenderer;

import org.wow.autodkp.model.points.IPointSystem;
import org.wow.autodkp.view.skin.AutoDKPLookAndFeelSupport;


/**
 * UI elements for point system loot values.
 * 
 * @author jsandusky
 */
public class LootColumnHandler {
    
    private IPointSystem mConstraints;
    private DefaultCellEditor mEditor;
    private DefaultTableCellRenderer mRenderer;
    private JComboBox mLootCombo;
    
    
    public LootColumnHandler(IPointSystem constraints) {
        mConstraints = constraints;
        Object[] lootConstraintNames = constraints.getLootConstraintNames().toArray();
        Font comboFont = new Font("Arial", Font.PLAIN, 11);
        
        mLootCombo = new JComboBox(lootConstraintNames);
        mLootCombo.setFont(comboFont);
        mEditor = new DefaultCellEditor(mLootCombo);
        
        mRenderer = AutoDKPLookAndFeelSupport.getDefaultTableCellRenderer();
        mRenderer.setHorizontalAlignment(SwingConstants.CENTER);
    }

    
    public TableCellEditor getEditor() {
        mLootCombo.setEditable(mConstraints.isDirectLootValueEditing());
        return mEditor;
    }

    public TableCellRenderer getRenderer() {
        return mRenderer;
    }
}
