package org.wow.autodkp.view.preferences;

/**
 * 
 * 
 * @author jsandusky
 */
public class AlternateItem extends PreferencesItem {
    
    private String mPlayerName;
    private String mPlayerClass;
    
    
    public AlternateItem(String playerName) {
        playerName = playerName.toLowerCase();
        playerName = Character.toUpperCase(playerName.charAt(0)) + playerName.substring(1);
        mPlayerName = playerName;
    }
    
    public AlternateItem(String playerName, String playerClass) {
        this(playerName);
        mPlayerClass = playerClass.toLowerCase();
    }
    
    public String getPlayerName() {
        return mPlayerName;
    }
    
    public String getPlayerClass() {
        return mPlayerClass;
    }
    
    protected String getRenderString() {
        String text = null;
        if (mPlayerClass != null) {
            text = new String(
                    "<HTML><TABLE BORDER=0 CELLPADDING=0 WIDTH=100%><TR>" +
                    "<TD WIDTH=150><P>&nbsp;" + mPlayerName + "</P></TD>" + 
                    "<TD><P>" + mPlayerClass + "</P></TD>" +
                    "</TR></TABLE></HTML>");
        } else {
            text = mPlayerName;
        }
        
        return text;
    }
}
