package org.wow.autodkp.view.preferences;

import java.awt.Color;
import java.awt.Dialog;
import java.awt.FlowLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.BorderFactory;
import javax.swing.JComponent;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JTextField;

import org.wow.autodkp.persistence.xml.XMLUtilities;

/**
 * 
 * 
 * @author jsandusky
 */
public class DialogAlternate extends AbstractPreferencesDialog {
    
    private JLabel mNameLabel;
    private JTextField mNameField;
    private AlternateItem mResult;
    
    
    public DialogAlternate(Dialog owner, String title, AlternateItem item) {
        super(owner, title, item);
    }
    
    protected ActionListener getAddActionListener() {
        return new ActionListener() {
            public void actionPerformed(ActionEvent e) {
                String name = mNameField.getText().trim();
                if (name.length() == 0 || !XMLUtilities.isValidString(name)) {
                    mNameLabel.setForeground(Color.RED);
                    return;
                }
                mResult = new AlternateItem(name);
                dispose();
            }
        };
    }
    
    protected ActionListener getEditActionListener() {
        return new ActionListener() {
            public void actionPerformed(ActionEvent e) {
                String name = mNameField.getText().trim();
                if (name.length() == 0 || !XMLUtilities.isValidString(name)) {
                    mNameLabel.setForeground(Color.RED);
                    return;
                }
                mResult = new AlternateItem(name);
                dispose();
            }
        };
    }

    protected JComponent getMainPane() {
        mNameLabel = new JLabel("Alternate Name:");
        mNameField = new JTextField(20);
        
        JPanel mainPane = new JPanel(new FlowLayout(FlowLayout.LEFT));
        mainPane.add(mNameLabel);
        mainPane.add(mNameField);
        mainPane.setBorder(BorderFactory.createEmptyBorder(5, 5, 5, 5));
        return mainPane;
    }
    
    public AlternateItem getAlternateItem() {
        return mResult;
    }
}
