package org.wow.autodkp.view.preferences;

import java.awt.Color;
import java.awt.Dialog;
import java.awt.Frame;
import java.awt.GridBagConstraints;
import java.awt.GridBagLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.BorderFactory;
import javax.swing.JComboBox;
import javax.swing.JComponent;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JTextField;

import org.wow.autodkp.model.PlayerData;
import org.wow.autodkp.persistence.xml.XMLUtilities;


/**
 * 
 * 
 * @author jsandusky
 */
public class DialogPlayerNameAndClass extends AbstractPreferencesDialog {
    
    private JLabel mNameLabel;
    private JLabel mClassLabel;
    private JTextField mNameField;
    private JComboBox mClassCombo;
    private AlternateItem mResult;
    
    
    public DialogPlayerNameAndClass(Dialog owner, String title, AlternateItem item) {
        super(owner, title, item);
    }
    
    public DialogPlayerNameAndClass(Frame owner, String title, AlternateItem item) {
        super(owner, title, item);
    }
    
    protected ActionListener getAddActionListener() {
        return new ActionListener() {
            public void actionPerformed(ActionEvent e) {
                String playerName = mNameField.getText().trim();
                String playerClass = (String) mClassCombo.getSelectedItem();
                boolean isValid = true;
                if (playerName.length() == 0 || !XMLUtilities.isValidString(playerName)) {
                    isValid = false;
                    mNameLabel.setForeground(Color.RED);
                }
                if (isValid) {
                    mResult = new AlternateItem(playerName, playerClass.toLowerCase());
                    dispose();
                }
            }
        };
    }
    
    protected ActionListener getEditActionListener() {
        return null;
    }

    protected JComponent getMainPane() {
        mNameLabel = new JLabel("Player Name:");
        mNameLabel.setBorder(BorderFactory.createEmptyBorder(0, 0, 0, 5));
        mClassLabel = new JLabel("Player Class:");
        mClassLabel.setBorder(BorderFactory.createEmptyBorder(0, 0, 0, 5));
        mNameField = new JTextField(20);
        mClassCombo = new JComboBox(PlayerData.CLASSES);
        
        JPanel mainPane = new JPanel();
        GridBagLayout gridBag = new GridBagLayout();
        GridBagConstraints gdc = new GridBagConstraints();
        mainPane.setLayout(gridBag);
        gdc.anchor = GridBagConstraints.SOUTHWEST;
        
        int y = -1;
        gdc.weighty = 1;
        
        gdc.gridy = ++y;
        gdc.gridx = 0;
        gdc.weightx = 0;
        gdc.gridwidth = 1;
        gdc.fill = GridBagConstraints.NONE;
        gridBag.setConstraints(mNameLabel, gdc);
        mainPane.add(mNameLabel);
        gdc.gridx = 1;
        gdc.weightx = 8;
        gdc.gridwidth = 3;
        gdc.fill = GridBagConstraints.HORIZONTAL;
        gridBag.setConstraints(mNameField, gdc);
        mainPane.add(mNameField);
        
        gdc.gridy = ++y;
        gdc.gridx = 0;
        gdc.weightx = 0;
        gdc.gridwidth = 1;
        gdc.fill = GridBagConstraints.NONE;
        gridBag.setConstraints(mClassLabel, gdc);
        mainPane.add(mClassLabel);
        gdc.gridx = 1;
        gdc.weightx = 8;
        gdc.gridwidth = 3;
        gdc.fill = GridBagConstraints.HORIZONTAL;
        gridBag.setConstraints(mClassCombo, gdc);
        mainPane.add(mClassCombo);
        
        mainPane.setBorder(BorderFactory.createEmptyBorder(0, 10, 5, 10));
        
        return mainPane;
    }
    
    public AlternateItem getAlternateItem() {
        return mResult;
    }
}
