package org.wow.autodkp.view.preferences;

import java.awt.Color;
import java.awt.Dialog;
import java.awt.FlowLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.BorderFactory;
import javax.swing.JComponent;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JTextField;

import org.wow.autodkp.model.FormatConstants;
import org.wow.autodkp.model.points.PointSystemFactory;
import org.wow.autodkp.persistence.xml.XMLUtilities;

/**
 * 
 * 
 * @author jsandusky
 */
public class DialogPointSystem extends AbstractPreferencesDialog {
    
    private JLabel mNameLabel;
    private JTextField mNameField;
    private ConstraintItem mResult;
    
    
    public DialogPointSystem(Dialog owner, String title, ConstraintItem constraintItem) {
        super(owner, title, constraintItem);
    }
    
    protected ActionListener getAddActionListener() {
        return new ActionListener() {
            public void actionPerformed(ActionEvent e) {
                String name = mNameField.getText().trim();
                boolean isValid = true;
                if (name.length() == 0 || !XMLUtilities.isValidString(name)) {
                    isValid = false;
                    mNameLabel.setForeground(Color.RED);
                }
                String id = FormatConstants.generateID(name);
                id = id.toLowerCase();
                if (PointSystemFactory.constraintExists(id)) {
                    isValid = false;
                    mNameLabel.setForeground(Color.RED);
                }
                if (isValid) {
                    mResult = new ConstraintItem(id, name);
                    dispose();
                }
            }
        };
    }
    
    protected ActionListener getEditActionListener() {
        // we do not edit point systems this way
        return null;
    }

    protected JComponent getMainPane() {
        mNameLabel = new JLabel("Point System Name:");
        mNameField = new JTextField(20);
        
        JPanel mainPane = new JPanel(new FlowLayout(FlowLayout.LEFT));
        mainPane.add(mNameLabel);
        mainPane.add(mNameField);
        mainPane.setBorder(BorderFactory.createEmptyBorder(5, 5, 5, 5));
        return mainPane;
    }
    
    public ConstraintItem getConstraintItem() {
        return mResult;
    }
}
