package org.wow.autodkp.view.preferences.pointsystems;

import org.wow.autodkp.model.FormatConstants;
import org.wow.autodkp.model.points.Adjustment;
import org.wow.autodkp.view.preferences.PreferencesItem;

/**
 * 
 * 
 * @author jsandusky
 */
public class AdjustmentItem extends PreferencesItem {
    
    private String mID;
    private String mName;
    private float mInitialValue;
    
    public AdjustmentItem(String id, String name, float initialValue) {
        mID = id;
        mName = name;
        mInitialValue = initialValue;
    }
    
    public String getID() {
        return mID;
    }
    
    public String getName() {
        return mName;
    }
    
    public float getInitialValue() {
        return mInitialValue;
    }
    
    public Adjustment getAdjustment() {
        return new Adjustment(mName, mInitialValue);
    }
    
    protected String getRenderString() {
        if (mInitialValue > 0) {
            String value = FormatConstants.NUMBER_FORMAT.format((double) mInitialValue);
            return new String(
                    "<HTML><TABLE BORDER=0 CELLPADDING=0 WIDTH=100%><TR>" +
                    "<TD WIDTH=170><P>&nbsp;" + mName + "</P></TD>" + 
                    "<TD><P>" + value + "</P></TD>" +
                    "</TR></TABLE></HTML>");
        }
        return mName;
    }
}
