package org.wow.autodkp.view.preferences.pointsystems;

import org.wow.autodkp.model.Cost;
import org.wow.autodkp.model.LootConstants;
import org.wow.autodkp.view.preferences.PreferencesItem;

/**
 * 
 * 
 * @author jsandusky
 */
public class BossItem extends PreferencesItem {
    
    private String mName;
    private Cost mCost;
    
    public BossItem(String name, Cost cost) {
        mName = name;
        mCost = cost;
        if (mCost == null) {
            mCost = new Cost(0, false);
        }
    }
    
    public String getName() {
        return mName;
    }
    
    public Cost getCost() {
        return mCost;
    }
    
    protected String getRenderString() {
        if (mName == null || mName.equals(LootConstants.BOSS_NAME_NONE)) {
            // trick to not show the empty boss
            return "";
        }
        String cost = null;
        if (mCost.isPercent()) {
            cost = mCost.toString();
        } else {
            cost = String.valueOf(mCost.getCost());
        }
        String text = new String(
                "<HTML><TABLE BORDER=0 CELLPADDING=0 WIDTH=100%><TR>" +
                "<TD WIDTH=170><P>&nbsp;" + mName + "</P></TD>" + 
                "<TD><P>" + cost + "</P></TD>" +
                "</TR></TABLE></HTML>");
        return text;
    }
}
