package org.wow.autodkp.view.preferences.pointsystems;

import org.wow.autodkp.model.Cost;
import org.wow.autodkp.model.FormatConstants;
import org.wow.autodkp.model.LootConstants;
import org.wow.autodkp.view.preferences.PreferencesItem;

/**
 * 
 * 
 * @author jsandusky
 */
public class LootCategoryItem extends PreferencesItem {
    
    private String mID;
    private String mName;
    private Cost mCost;
    
    public LootCategoryItem(String id, String categoryName, Cost cost) {
        mID = id;
        mName = categoryName;
        mCost = cost;
        if (mCost == null) {
            mCost = new Cost(0, false);
        }
    }
    
    public String getID() {
        return mID;
    }
    
    public String getCategoryName() {
        return mName;
    }
    
    public Cost getCost() {
        return mCost;
    }
    
    protected String getRenderString() {
        if (mID == null || mID.equals(LootConstants.LOOT_CONSTRAINT_KEY_NONE)) {
            // trick to not show the empty loot category
            return "";
        }
        
        String cost = null;
        if (mCost.isPercent()) {
            cost = mCost.toString();
        } else {
            cost = FormatConstants.NUMBER_FORMAT.format((double) mCost.getCost());
        }
        String text = new String(
                "<HTML><TABLE BORDER=0 CELLPADDING=0 WIDTH=100%><TR>" +
                "<TD WIDTH=170><P>&nbsp;" + mName + "</P></TD>" + 
                "<TD><P>" + cost + "</P></TD>" +
                "</TR></TABLE></HTML>");
        return text;
    }
}
