package org.wow.autodkp.view.preferences.pointsystems;

import org.wow.autodkp.model.FormatConstants;
import org.wow.autodkp.model.points.RollCall;
import org.wow.autodkp.view.preferences.PreferencesItem;

/**
 * 
 * 
 * @author jsandusky
 */
public class RollCallItem extends PreferencesItem {
    
    private String mName;
    private float mPoints;
    private int mRecurrence;
    
    public RollCallItem(String name, float points, int recurrence) {
        mName = name;
        mPoints = points;
        mRecurrence = recurrence;
    }
    
    public String getName() {
        return mName;
    }
    
    public float getPoints() {
        return mPoints;
    }
    
    public boolean hasRecurrence() {
        return mRecurrence > 0;
    }
    
    public int getRecurrence() {
        return mRecurrence;
    }
    
    public RollCall getRollCall() {
        return new RollCall(mName, mPoints, mRecurrence);
    }
    
    protected String getRenderString() {
        String nameText = mName;
        String points = null;
        if (mPoints == 1) {
            points = FormatConstants.NUMBER_FORMAT.format((double) mPoints) + " point";
        } else {
            points = FormatConstants.NUMBER_FORMAT.format((double) mPoints) + " points";
        }
        if (
                mName.equals(RollCall.RAID_START_NAME) || 
                mName.equals(RollCall.RAID_END_NAME)) {
            nameText = "<I><FONT COLOR=BLUE>" + mName + "</FONT></I>";
            points = "<I><FONT COLOR=BLUE>" + points + "</FONT></I>";
        }
        if (mRecurrence > 0) {
            String recurrence = FormatConstants.NUMBER_FORMAT.format((long) mRecurrence);
            String recurrenceMsg = "every " + recurrence + " minutes";
            return new String(
                    "<HTML><TABLE BORDER=0 CELLPADDING=0 WIDTH=100%><TR>" +
                    "<TD WIDTH=150><P>&nbsp;" + nameText + "</P></TD>" + 
                    "<TD WIDTH=80><P>" + points + "</P></TD>" +
                    "<TD WIDTH=120><P>" + recurrenceMsg + "</P></TD>" +
                    "</TR></TABLE></HTML>");
        } else {
            return new String(
                    "<HTML><TABLE BORDER=0 CELLPADDING=0 WIDTH=100%><TR>" +
                    "<TD WIDTH=150><P>&nbsp;" + nameText + "</P></TD>" + 
                    "<TD WIDTH=80><P>" + points + "</P></TD>" +
                    "</TR></TABLE></HTML>");
        }
    }
}
