package org.wow.autodkp.view.share;

import java.util.zip.ZipEntry;


/**
 * 
 * 
 * @author jsandusky
 */
public class ImportNode extends ShareNode {
    
    private String mDirPath;
    private String mFileName;
    
    
    public ImportNode(ZipEntry ze, int nodeType, String dirPath, String name) {
        super(ze, false);
        mNodeType = nodeType;
        mIsSharable = true;
        mDirPath = dirPath;
        mFileName = name;
        
        switch (mNodeType) {
        case TYPE_RAID:
            mText = "raid, " + getRaidDescription(name);
            break;
        case TYPE_POINTS:
            mText = "points, " + getRaidDescription(name);
            break;
        case TYPE_ITEMS_MASTER:
            mText = "Items";
            break;
        case TYPE_ALTERNATES:
            mText = "Alternates";
            break;
        case TYPE_CSS_OUTPUT:
            mText = "HTML Styles";
            break;
        case TYPE_POINT_SYSTEM:
            mText = getPointSystemDescription(name) + " Point System Definition";
            break;
        default:
            mText = name;
            break;
        }
    }
    
    public ImportNode(String text, int nodeType, boolean isHeader) {
        super(null, isHeader, text);
        mNodeType = nodeType;
        mIsSharable = false;
    }
    
    
    public String getFileID() {
        if (mFileName != null) {
            return stripExtension(mFileName);
        }
        return null;
    }
    
    public String getFileName() {
        return mFileName;
    }
    
    public String getDirectoryPath() {
        return mDirPath;
    }
    
    public ZipEntry getZipEntry() {
        Object ob = getUserObject();
        if (ob instanceof ZipEntry) {
            return (ZipEntry) ob;
        }
        return null;
    }
}
