package org.wow.autodkp.view.share;

import java.awt.BorderLayout;
import java.awt.Dimension;
import java.awt.GridBagConstraints;
import java.awt.GridBagLayout;
import java.awt.Toolkit;

import javax.swing.BorderFactory;
import javax.swing.JDialog;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JProgressBar;

import org.wow.autodkp.view.AutoDKPView;


/**
 * 
 * 
 * @author jsandusky
 */
public class ImportProgressDialog extends JDialog {
    
    private JProgressBar mProgress;
    private JLabel mImportFile;
    
    public ImportProgressDialog(int totalK) {
        super(AutoDKPView.getInstance().getFrame(), "Importing...", true);
        
        JLabel fileLabel = new JLabel("File: ");
        fileLabel.setBorder(BorderFactory.createEmptyBorder(0, 0, 10, 5));
        mImportFile = new JLabel("actuary.xml");
        mImportFile.setBorder(BorderFactory.createEmptyBorder(0, 0, 10, 0));
        
        JLabel progressLabel = new JLabel("Progress: ");
        progressLabel.setBorder(BorderFactory.createEmptyBorder(0, 0, 0, 5));
        mProgress = new JProgressBar(0, totalK);
        mProgress.setValue(0);
        mProgress.setStringPainted(true);
        
        setLayout(new BorderLayout());
        JPanel mainPane = new JPanel();
        getContentPane().add(mainPane, BorderLayout.CENTER);
        
        mainPane.setBorder(BorderFactory.createEmptyBorder(0, 10, 10, 10));
        
        GridBagLayout gridBag = new GridBagLayout();
        GridBagConstraints gdc = new GridBagConstraints();
        mainPane.setLayout(gridBag);
        gdc.anchor = GridBagConstraints.SOUTHWEST;
        
        int y = -1;
        gdc.weighty = 0;
        
        gdc.gridy = ++y;
        gdc.gridx = 0;
        gdc.weightx = 0;
        gdc.gridwidth = 1;
        gdc.fill = GridBagConstraints.NONE;
        gridBag.setConstraints(fileLabel, gdc);
        mainPane.add(fileLabel);
        gdc.gridx = 1;
        gdc.weightx = 1;
        gdc.gridwidth = 2;
        gdc.fill = GridBagConstraints.HORIZONTAL;
        gridBag.setConstraints(mImportFile, gdc);
        mainPane.add(mImportFile);
        
        gdc.gridy = ++y;
        gdc.gridx = 0;
        gdc.weightx = 0;
        gdc.gridwidth = 1;
        gdc.fill = GridBagConstraints.NONE;
        gridBag.setConstraints(progressLabel, gdc);
        mainPane.add(progressLabel);
        gdc.gridx = 1;
        gdc.weightx = 1;
        gdc.gridwidth = 2;
        gdc.fill = GridBagConstraints.HORIZONTAL;
        gridBag.setConstraints(mProgress, gdc);
        mainPane.add(mProgress);
        
        setSize(350, 120);
        
        Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
        Dimension windowSize = getSize();
        setLocation(
                (screenSize.width  - windowSize.width)  / 2, 
                (screenSize.height - windowSize.height) / 2);
    }
    
    
    public void updateWritten(String name, int newK) {
        mImportFile.setText(name);
        mProgress.setValue(newK);
    }
}
