package org.wow.autodkp.view.skin;

import java.awt.BorderLayout;
import java.awt.FlowLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.Box;
import javax.swing.JCheckBox;
import javax.swing.JComponent;
import javax.swing.JOptionPane;
import javax.swing.JPanel;

import org.wow.autodkp.persistence.xml.XMLUtilities;
import org.wow.autodkp.view.AutoDKP;
import org.wow.autodkp.view.GeneralProperties;
import org.wow.autodkp.view.preferences.IPreferencesTab;


public class EmptySkinningControls extends JPanel implements IPreferencesTab {
    
    private JCheckBox mEnableSkinningCheckbox;
    private boolean mIsModified;
    
    
    public EmptySkinningControls() {
        super(new BorderLayout());
        
        final GeneralProperties props = GeneralProperties.getDefault();
        
        mEnableSkinningCheckbox = new JCheckBox("Skinning Enabled?");
        
        JPanel enableSkinningPanel = new JPanel(new FlowLayout(FlowLayout.LEFT));
        enableSkinningPanel.add(mEnableSkinningCheckbox);
        
        mEnableSkinningCheckbox.addActionListener(new ActionListener() {
            public void actionPerformed(ActionEvent e) {
                String str = mEnableSkinningCheckbox.isSelected() ?
                        XMLUtilities.IS_YES : XMLUtilities.IS_NO;
                props.setStringProperty(props.SKINNING_ENABLED, str);
                mIsModified = true;
                JOptionPane.showMessageDialog(
                        EmptySkinningControls.this,
                        "You must restart " + AutoDKP.PROGRAM_NAME + " for your changes to take effect.",
                        "Skinning",
                        JOptionPane.INFORMATION_MESSAGE);
            }
        });
        String str = props.getStringProperty(props.SKINNING_ENABLED);
        boolean isEnabled = 
            str == null ||
            (!str.equals(XMLUtilities.IS_NO) && !str.equals(XMLUtilities.IS_FALSE));
        mEnableSkinningCheckbox.setSelected(isEnabled);
        
        Box vBox = Box.createVerticalBox();
        vBox.add(Box.createVerticalGlue());
        vBox.add(Box.createVerticalStrut(10));
        vBox.add(enableSkinningPanel);
        vBox.add(Box.createVerticalGlue());
        
        add(vBox, BorderLayout.CENTER);
    }
    

    public void closing() {
        if (mIsModified) {
            GeneralProperties.getDefault().save();
        }
    }

    public JComponent getComponent() {
        return this;
    }

    public boolean shouldReload() {
        return false;
    }
}
