package org.wow.autodkp.view.table;

import java.awt.Color;
import java.awt.Component;

import javax.swing.JTable;
import javax.swing.table.DefaultTableCellRenderer;

import org.wow.autodkp.model.FormatConstants;
import org.wow.autodkp.view.skin.AutoDKPLookAndFeelSupport;

/**
 * 
 * 
 * @author jsandusky
 */
public class NumberRenderer extends DefaultTableCellRenderer {
    
    public Component getTableCellRendererComponent(
            JTable table, 
            Object value,
            boolean isSelected, 
            boolean hasFocus, 
            int row, 
            int column)
    {
        super.getTableCellRendererComponent(
                table, value, isSelected, hasFocus, row, column);
        
        if (!isSelected && !hasFocus) {
            Color background = 
                AutoDKPLookAndFeelSupport.getUnselectedBackgroundColor(
                        row, 
                        table.getBackground());
            setBackground(background);
        }

        if (value instanceof Float) {
            Float number = (Float) value;
            setText(FormatConstants.NUMBER_FORMAT.format(number.doubleValue()));
        } else {
            setText(value.toString());
        }
        
        return this;
    }
}
