package org.wow.autodkp.view.table.customizers;

import java.util.Map;

import javax.swing.text.JTextComponent;

import org.wow.autodkp.model.PlayerData;
import org.wow.autodkp.model.Raid;
import org.wow.autodkp.model.points.IPointSystem;
import org.wow.autodkp.model.points.IPointSystemPlayerData;
import org.wow.autodkp.view.table.players.PlayerTable;

/**
 * 
 * 
 * @author jsandusky
 */
public abstract class AbstractFormulaTableModel extends AbstractDetailTableModel {

    protected Raid mRaid;
    protected IPointSystem mPointSystem;
    protected PlayerTable mPlayerTable;

    
	public AbstractFormulaTableModel(PlayerTable playerTable, Raid raid, IPointSystem pointSystem) {
        mPlayerTable = playerTable;
        mRaid = raid;
        mPointSystem = pointSystem;
        mRowCount = pointSystem.getNonRemovedRaidMemberPlayerData().length;
	}
	
    protected void customizeTextComponentForColumn(JTextComponent component, int columnIndex) {
    }

    protected IPointSystemPlayerData getPointSystemPlayerData(int rowIndex, int columnIndex) {
        PlayerData raidPlayerData = mPointSystem.getNonRemovedRaidMemberPlayerData()[rowIndex];
        Map pointData = mPointSystem.getCurrentRaidData().getPointSystemPlayerDataMap();
        String playerName = raidPlayerData.getPlayerName();
        IPointSystemPlayerData playerData = 
            (IPointSystemPlayerData) pointData.get(playerName);
        return playerData;
    }
}
