package org.wow.autodkp.view.table.customizers.bosskill;

import javax.swing.JCheckBox;
import javax.swing.JLabel;

import org.wow.autodkp.model.Raid;
import org.wow.autodkp.model.points.IPointSystem;
import org.wow.autodkp.model.points.dkp.BossKillPointDetail;
import org.wow.autodkp.view.table.customizers.AbstractCustomizerEditor;
import org.wow.autodkp.view.table.customizers.AbstractDetailTableModel;
import org.wow.autodkp.view.table.customizers.PointCheckPredicate;
import org.wow.autodkp.view.table.players.PlayerTable;

/**
 * Customizer for boss kills.
 * This allows manually setting which player gets which boss points.
 * 
 * @author jsandusky
 */
public class BossKillsEditor extends AbstractCustomizerEditor {

    public BossKillsEditor(PlayerTable playerTable,
                           Raid raid, 
                           IPointSystem pointSystem) {
        super(playerTable, raid, pointSystem, "Boss Kills Customizer");
    }
    
    
    protected AbstractDetailTableModel getDetailTableModel() {
        return new BossKillsTableModel(mPlayerTable, mRaid, mPointSystem);
    }
    
    protected PointCheckPredicate getPointCheckPredicate() {
        return new PointCheckPredicate() {
            public boolean updatePointCheckbox(Object value, JCheckBox checkBox, JLabel roLabel) {
                BossKillPointDetail pointDetail = (BossKillPointDetail) value;
                checkBox.setText(pointDetail.getCurrentPoints() + " pts");
                checkBox.setSelected(pointDetail.isIncluding());
                return true;
            }
        };
    }
}
