package org.wow.autodkp.view.table.customizers.time;

import javax.swing.JCheckBox;
import javax.swing.JLabel;

import org.wow.autodkp.model.Raid;
import org.wow.autodkp.model.points.IPointSystem;
import org.wow.autodkp.model.points.dkp.TimePointDetail;
import org.wow.autodkp.view.table.customizers.AbstractCustomizerEditor;
import org.wow.autodkp.view.table.customizers.AbstractDetailTableModel;
import org.wow.autodkp.view.table.customizers.PointCheckPredicate;
import org.wow.autodkp.view.table.players.PlayerTable;

/**
 * Customizer for time dkp.
 * This allows manually setting which player gets which time points.
 * 
 * @author jsandusky
 */
public class TimeEditor extends AbstractCustomizerEditor {

    public TimeEditor(PlayerTable playerTable,
                      Raid raid, 
                      IPointSystem pointSystem) {
        super(playerTable, raid, pointSystem, "Time DKP Customizer");
    }
    
    
    protected AbstractDetailTableModel getDetailTableModel() {
        return new TimeTableModel(mPlayerTable, mRaid, mPointSystem);
    }
    
    protected PointCheckPredicate getPointCheckPredicate() {
        return new PointCheckPredicate() {
            public boolean updatePointCheckbox(Object value, JCheckBox checkBox, JLabel roLabel) {
                TimePointDetail pointDetail = (TimePointDetail) value;
                if (pointDetail == null) {
                    // Should be null if we're showing the looter's distribution
                    // points for his own loot, in which case none would exist.
                    roLabel.setText("n/a");
                    return false;
                } else {
                    checkBox.setText(pointDetail.getCurrentPoints() + " pts");
                    checkBox.setSelected(pointDetail.isIncluding());
                }
                return true;
            }
        };
    }
}
