package org.wow.autodkp.view.table.customizers.zerosum;

import javax.swing.JCheckBox;
import javax.swing.JLabel;

import org.wow.autodkp.model.Raid;
import org.wow.autodkp.model.points.IPointSystem;
import org.wow.autodkp.model.points.dkp.DistributionPointDetail;
import org.wow.autodkp.view.table.customizers.AbstractCustomizerEditor;
import org.wow.autodkp.view.table.customizers.AbstractDetailTableModel;
import org.wow.autodkp.view.table.customizers.PointCheckPredicate;
import org.wow.autodkp.view.table.players.PlayerTable;


/**
 * 
 * 
 * @author jsandusky
 */
public class DistributionEditor extends AbstractCustomizerEditor {

    public DistributionEditor(PlayerTable playerTable, 
                              Raid raid, 
                              IPointSystem pointSystem) {
        super(playerTable, raid, pointSystem, "Distributions Customizer");
    }

    
    protected AbstractDetailTableModel getDetailTableModel() {
        return new DistributionsTableModel(mPlayerTable, mRaid, mPointSystem);
    }
    
    protected PointCheckPredicate getPointCheckPredicate() {
        return new PointCheckPredicate() {
            public boolean updatePointCheckbox(Object value, JCheckBox checkBox, JLabel roLabel) {
                DistributionPointDetail pointDetail = (DistributionPointDetail) value;
                if (pointDetail == null) {
                    // Should be null if we're showing the looter's distribution
                    // points for his own loot, in which case none would exist.
                    roLabel.setText("recipient");
                    return false;
                } else {
                    checkBox.setText(pointDetail.getCurrentPointText() + " pts");
                    checkBox.setSelected(pointDetail.isIncluding());
                    return true;
                }
            }
        };
    }
}
