package org.wow.autodkp.view.table.players;

import java.util.Map;

import javax.swing.table.TableCellEditor;
import javax.swing.table.TableCellRenderer;

import org.wow.autodkp.model.PlayerData;
import org.wow.autodkp.model.Raid;
import org.wow.autodkp.model.points.IPointSystem;
import org.wow.autodkp.model.points.IPointSystemPlayerData;
import org.wow.autodkp.model.points.IPointSystemRaidData;
import org.wow.autodkp.view.table.ITableColumn;


/**
 * 
 * 
 * @author jsandusky
 */
public abstract class AbstractPointsColumn implements ITableColumn {

    protected static final NumberColumnHandler HANDLER_NUMBER = new NumberColumnHandler();

    protected IPointSystem mPointSystem;
    protected Raid mRaid;
    
    
    public AbstractPointsColumn(IPointSystem constraints, Raid raid) {
        mPointSystem = constraints;
        mRaid = raid;
    }

    
    public boolean isResizable() {
        return true;
    }
    
    public String getDefaultColumnName() {
        return getColumnName();
    }
    
    public Class getColumnClass() {
        return Object.class;
    }
    
    public TableCellEditor getCellEditor() {
        return HANDLER_NUMBER.getEditor();
    }

    public TableCellRenderer getCellRenderer() {
        return HANDLER_NUMBER.getRenderer();
    }

    public boolean setValueAt(Object aValue, Object key) {
        return false;
    }
    
    protected IPointSystemPlayerData getConstraintData(Object key) {
        PlayerData playerData = (PlayerData) key;
        if (playerData != null) {
            IPointSystemRaidData raidData = mPointSystem.getCurrentRaidData();
            if (raidData != null) {
                Map constraintData = raidData.getPointSystemPlayerDataMap();
                if (constraintData != null) {
                    IPointSystemPlayerData constraintForPlayer = 
                        (IPointSystemPlayerData) constraintData.get(playerData.getPlayerName());
                    return constraintForPlayer;
                }
            }
        }
        return null;
    }
}
