package org.wow.autodkp.view.table.players;

import org.wow.autodkp.model.Raid;
import org.wow.autodkp.model.points.IPointSystem;
import org.wow.autodkp.model.points.IPointSystemPlayerData;
import org.wow.autodkp.view.GeneralProperties;


/**
 * 
 * 
 * @author jsandusky
 */
public class ColumnOutgoingTotal extends AbstractPointsColumn {

    public ColumnOutgoingTotal(IPointSystem constraints, Raid raid) {
        super(constraints, raid);
    }
    
    public String getColumnName() {
        GeneralProperties props = GeneralProperties.getDefault();
        String alternateName = props.getStringProperty(props.COLUMN_TRANSLATION_TOTAL);
        if (alternateName == null || alternateName.length() == 0) {
            return getDefaultColumnName();
        }
        return alternateName;
    }

    public String getDefaultColumnName() {
        return "Total";
    }
    
    public int getPreferredWidth() {
        return 80;
    }

    public Class getColumnClass() {
        return Float.class;
    }
    
    public Object getValueAt(Object key) {
        IPointSystemPlayerData pointData = super.getConstraintData(key);
        if (pointData != null) {
            return new Float(pointData.getOutgoingTotal());
        }
        return new Float(0);
    }

    public boolean isEditable() {
        return false;
    }
}
