package org.wow.autodkp.view.table.players;

import java.awt.Component;
import java.text.NumberFormat;

import javax.swing.DefaultCellEditor;
import javax.swing.JFormattedTextField;
import javax.swing.JTable;
import javax.swing.SwingConstants;
import javax.swing.table.DefaultTableCellRenderer;
import javax.swing.table.TableCellEditor;
import javax.swing.table.TableCellRenderer;

import org.wow.autodkp.view.table.NumberRenderer;


/**
 * 
 * 
 * @author jsandusky
 */
public class NumberColumnHandler {

    private DefaultCellEditor mEditor;
    private DefaultTableCellRenderer mRenderer;

    
    public NumberColumnHandler() {
        final JFormattedTextField numberFieldEditor = 
            new JFormattedTextField(NumberFormat.getIntegerInstance());
        // When the user edits a cell, be sure to select all the text for
        // much easier number entry.
        mEditor = new DefaultCellEditor(numberFieldEditor) {
            public Component getTableCellEditorComponent(JTable table, 
                                                         Object value,
                                                         boolean isSelected,
                                                         int row, 
                                                         int column) {
                Component c = super.getTableCellEditorComponent(
                        table, value, isSelected, row, column);
                numberFieldEditor.selectAll();
                return c;
            }
        };
        
        mRenderer = new NumberRenderer();

        mRenderer.setHorizontalAlignment(SwingConstants.CENTER);
    }

    
    public TableCellEditor getEditor() {
        return mEditor;
    }

    public TableCellRenderer getRenderer() {
        return mRenderer;
    }
}
