package org.wow.autodkp.view.table.players;

import java.awt.Color;
import java.awt.Component;

import javax.swing.JTable;
import javax.swing.table.DefaultTableCellRenderer;
import javax.swing.table.TableCellEditor;
import javax.swing.table.TableCellRenderer;

import org.wow.autodkp.view.table.ITableColumn;


/**
 * 
 * 
 * @author jsandusky
 */
public class SeparatorColumn implements ITableColumn {

    public static final int WIDTH = 5;
    private DefaultTableCellRenderer mRenderer;
    
    public SeparatorColumn() {
    }
    
    public boolean isResizable() {
        return false;
    }

    public TableCellEditor getCellEditor() {
        return null;
    }

    public TableCellRenderer getCellRenderer() {
        if (mRenderer == null) {
            mRenderer = new DefaultTableCellRenderer() {
                public Component getTableCellRendererComponent(JTable table, Object value,
                        boolean isSelected, boolean hasFocus, int row, int column) {
                    return this;
                }
            };
            mRenderer.setBackground(Color.BLACK);
            mRenderer.setText("");
        }
        return mRenderer;
    }

    public boolean setValueAt(Object aValue, Object key) {
        return false;
    }

    public Class getColumnClass() {
        return Object.class;
    }
    
    public String getDefaultColumnName() {
        return null;
    }
    
    public String getColumnName() {
        return null;
    }

    public int getPreferredWidth() {
        return WIDTH;
    }

    public Object getValueAt(Object key) {
        return null;
    }

    public boolean isEditable() {
        return false;
    }
}
