/*
 * Author: Maksim Kovalenko, as posted on jGuru
 */
package org.wow.autodkp.view.table.rowheader;

import java.awt.Container;

import javax.swing.JScrollPane;
import javax.swing.JTable;
import javax.swing.JViewport;

public class RowHeaderUtil {

    protected RowHeaderUtil() {
    }

    public static boolean isRowHeaderVisible(JTable table) {
        Container p = table.getParent();
        if (p instanceof JViewport) {
            Container gp = p.getParent();
            if (gp instanceof JScrollPane) {
                JScrollPane scrollPane = (JScrollPane) gp;
                JViewport rowHeaderViewPort = scrollPane.getRowHeader();
                if (rowHeaderViewPort != null)
                    return rowHeaderViewPort.getView() != null;
            }
        }
        return false;
    }

    /**
     * Creates row header for table with row number
     * (starting with 1) displayed
     */
    public static void removeRowHeader(JTable table) {
        Container p = table.getParent();
        if (p instanceof JViewport) {
            Container gp = p.getParent();
            if (gp instanceof JScrollPane) {
                JScrollPane scrollPane = (JScrollPane) gp;
                scrollPane.setRowHeader(null);
            }
        }
    }

    /**
     * Creates row header for table with row number
     * (starting with 1) displayed
     */
    public static void setRowHeader(
            JTable table, 
            TableRowHeaderModel headerModel)
    {
        Container p = table.getParent();
        if (p instanceof JViewport) {
            Container gp = p.getParent();
            if (gp instanceof JScrollPane) {
                JScrollPane scrollPane = (JScrollPane) gp;
                scrollPane.setRowHeaderView(
                        new TableRowHeader(table, headerModel));
            }
        }
    }

}
